(********************************************************************
 * COPYRIGHT --  
 ********************************************************************
 * File: Global.typ
 * Author: ROBERTO
 * Created: October 20, 2014
 ********************************************************************
 * Global data types of project butta2
 ********************************************************************)

TYPE
	eplCmd_typ : 	STRUCT  (*datatype with commands*)
		read : {REDUND_UNREPLICABLE} BOOL; (*command to read the Node Number of the Powerlink interface*)
		write : BOOL; (*command to write an Object Entry*)
	END_STRUCT;
	eplFUB_typ : 	STRUCT  (*datatype with Function Blocks*)
		EplSDOWrite_0 : EplSDOWrite; (*FUB to write a node's object entries*)
		EplSDORead_0 : EplSDORead; (*FUB to read a node's object entries*)
	END_STRUCT;
END_TYPE

(********************************************************************
 * COPYRIGHT -- Bernecker + Rainer
 ********************************************************************
 * File: Global.typ
 * Author: brisacanis
 * Created: February 04, 2015
 ********************************************************************
 * Global data types of project LIKA_SDOrw
 ********************************************************************)

TYPE
	epl_typ : 	STRUCT  (*datatype for AsEPL Library*)
		cmd : eplCmd_typ; (*variable with commands*)
		para : eplPara_typ; (*variable with parameters*)
		fub : eplFUB_typ; (*variable with Function Blocks*)
		state : state_enum; (*variable with actual state*)
	END_STRUCT;
	eplPara_typ : 	STRUCT  (*datatype with parameters*)
		nodeNr : {REDUND_UNREPLICABLE} USINT; (*Node number of the Powerling interface*)
		index : UINT;
		subindex : USINT;
		readData : UDINT; (*Read Data*)
		readLen : UDINT; (*Data to be written*)
		writeData : UDINT; (*Data to be written*)
		writeLen : UDINT; (*Data to be written*)
	END_STRUCT;
	state_enum : 
		( (*enumerators for the state in the task*)
		EPL_WAIT, (*state to wait for any commands*)
		EPL_READ_OE, (*state to read object entry*)
		EPL_WRITE_OE, (*state to write object entry*)
		EPL_ERROR (*state when an error occured*)
		);
END_TYPE
